Browsable Browsable Docs

Reddit Front Page Top

Endpoint reference for /v1/reddit/top.

POST /v1/reddit/top

Request Parameters

Name In Type Required Description
after body string No Pagination cursor for the next page.
before body string No Pagination cursor for the previous page.
limit body number No Number of posts to return (max 100).
time body string No Time period for top posts: hour, day, week, month, year, or all.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/top" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":1.5,"time":"sample"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/reddit/top" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":1.5,"time":"sample","_run":{"async":false}}'